Subject: [MEXT] Re-AD review comments on the nemo mib document

From: Jari Arkko <[email-masked]>
Date: Tue, 25 Nov 2008 13:37:03 +0200

So, due to the large changes in the new version, this is going back to a 
WGLC and is also going to require a few more reviews. In the meantime I 
have re-reviewed the new version and I have the following comments:

Please remove the commented out parts of the MIB (e.g.,  "-- Counter64").

The object NemoBURequestRejectionCode says "The value of the status 
field in the BA ..." but lists values that are in the 1-4 range as 
opposed to the actual values in BAs.  Please clarify which ones you 
actually want to use.

The object nemoHaBindingAcksOtherError seems to have a similar problem.

Otherwise the new document looks good. I do expect some additional 
reviews, however.

Jari

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext

---

From: Jari Arkko <[email-masked]>
Date: Thu, 27 Nov 2008 14:56:17 +0200

Looks good, thanks.

Jari

Glenn M. Keeni wrote:
> Jari,
>     Thanks for the review.
> Jari Arkko wrote:
> Done.
> I see the problem here. We were introducing another mapping between
> the textual-convention code and the value in the status field of the BA.
> And the DESCRIPTION did not say that.
> This will be fixed as:
>     NemoBURequestRejectionCode ::= TEXTUAL-CONVENTION
>            STATUS        current
>            DESCRIPTION
>                    "The value of the status field in the Binding
>                     Acknowledgment message when the Binding Update
>                     was rejected for NEMO specific reasons.
>                    "
>            REFERENCE
>                    "RFC 3963 : Section 4.2"
>            SYNTAX  INTEGER {
>                    mobileRouterOperationNotPermitted (140),
>                    invalidPrefix                     (141),
>                    notAuthorizedForPrefix            (142),
>                    forwardingSetupFailed             (143)
>                   }
>
>   
> Yes. This too will be fixed as
>     nemoHaBindingAcksOtherError OBJECT-TYPE
>         SYNTAX      Counter32
>         MAX-ACCESS  read-only
>         STATUS      current
>         DESCRIPTION
>                 "The total number of Binding Update requests
>                  from mobile routers (Mobile Router Flag is
>                  set) rejected by the home agent with status code
>                  other than
>                  mobileRouterOperationNotPermitted (Code 140),
>                  invalidPrefix                     (Code 141),
>                  notAuthorizedForPrefix            (Code 142),
>                  forwardingSetupFailed             (Code 143)
> and,
>     nemoMrBindingAcksOtherError OBJECT-TYPE
>         SYNTAX      Counter32
>         MAX-ACCESS  read-only
>         STATUS      current
>         DESCRIPTION
>                 "The total number of Binding Acknowledgements
>                  received by the mobile router (Mobile Router Flag is
>                  set) with status code other than
>                  successfully processed            (0)
>                  mobileRouterOperationNotPermitted (140)
>                  invalidPrefix                     (141)
>                  notAuthorizedForPrefix            (142)
>                  forwardingSetupFailed             (143)
>
>   
> Thanks, Glenn